Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.xmlinputsax
Class Messages

    java.lang.Object
      org.pentaho.di.trans.steps.xmlinputsax.Messages

    public class Messages

extends Object

Field Summary
`static String` | `packageName`

Constructor Summary
`Messages()`

Method Summary
`static String` | `getString(String key)`
`static String` | `getString(String key, String param1)`
`static String` | `getString(String key, String param1, String param2)`
`static String` | `getString(String key, String param1, String param2, String param3)`
`static String` | `getString(String key, String param1, String param2, String param3, String param4)`
`static String` | `getString(String key, String param1, String param2, String param3, String param4, String param5)`
`static String` | `getString(String key, String param1, String param2, String param3, String param4, String param5, String param6)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### packageName

    public static final String packageName

Constructor Detail

### Messages

    public Messages()

Method Detail

### getString

    public static String getString(String key)

### getString

    public static String getString(String key,
                                   String param1)

### getString

    public static String getString(String key,
                                   String param1,
                                   String param2)

### getString

    public static String getString(String key,
                                   String param1,
                                   String param2,
                                   String param3)

### getString

    public static String getString(String key,
                                   String param1,
                                   String param2,
                                   String param3,
                                   String param4)

### getString

    public static String getString(String key,
                                   String param1,
                                   String param2,
                                   String param3,
                                   String param4,
                                   String param5)

### getString

    public static String getString(String key,
                                   String param1,
                                   String param2,
                                   String param3,
                                   String param4,
                                   String param5,
                                   String param6)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD